spring:
  application:
    name: rbac-api
  jpa:
    hibernate:
      ddl-auto: none
    show-sql: true
    database-platform: org.hibernate.dialect.MySQL5InnoDBDialect
    properties:
      hibernate:
        enable_lazy_load_no_trans: true
  profiles:
    active: test-in-ws
  rabbitmq:
    host: 49.4.26.74
    port: 5673
  task:
    execution:
      pool:
        max-size: 500
        core-size: 10
        queue-capacity: 1000
  main:
    allow-bean-definition-overriding: true
dubbo:
  application:
    name: dubbo-rbac-api
  registry:
    address: nacos://${nacos.address:localhost}:8848?username=nacos&password=nacos
  protocol:
    name: dubbo
    port: -1
    token: false
  config-center:
    address: nacos://${nacos.address:localhost}:8848?username=nacos&password=nacos

logging:
  level:
    root: error
  config: classpath:log4j2.xml